KDE 4.7 PyKDE API Reference

- KDE's Python API

# PredicateProperties Class Reference

`from PyKDE4.kio import *`

## Detailed Description

A predicate is part of the RDF trinity: subject, predicate, object. It is identified by URI and it defines the type of the relationship. For file metadata, a predicate can be seen as a fieldname. It has a data type, a description, a short id, a cardinality

Deprecated:
  use Nepomuk.Types.Property instead

## Enumerations
Attributes | { Addable, Removable, Modifiable, Cumulative, Averaged, MultiLine, SqueezeText }
## Methods
| __init__ (self, QString predicate=QString())
| __init__ (self, PredicateProperties p)
long | attributes (self)
QValidator | createValidator (self)
bool | isValid (self)
long | maxCardinality (self)
long | minCardinality (self)
QString | name (self)
PredicateProperties | parent (self)
QStringList | suggestedValues (self)
QVariant::Type | type (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | predicate=QString()
| ) |  |  |

__init__ | ( | self, |
|  | PredicateProperties | p
| ) |  |  |

long attributes | ( |  | self ) |

Get the attributes of this group (see Attributes)

Returns:
  the attributes

QValidator createValidator | ( |  | self ) |

bool isValid | ( |  | self ) |

long maxCardinality | ( |  | self ) |

long minCardinality | ( |  | self ) |

QString name | ( |  | self ) |

Localized name of the predicate.

PredicateProperties parent | ( |  | self ) |

QStringList suggestedValues | ( |  | self ) |

QVariant::Type type | ( |  | self ) |

The type for this field.

## Enumeration Documentation

Attributes

This enum is used to specify some attributes that an item can have, which fit neither in the Hint nor in the Unit enum.

Enumerator:

  Addable = 1 |
  Removable = 2 |
  Modifiable = 4 |
  Cumulative = 8 |
  Averaged = 16 |
  MultiLine = 32 |
  SqueezeText = 64 |